epp_DomainRenewReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainRenewReq class

### org.openrtk.idl.epp02.domain

# Class epp_DomainRenewReq

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainRenewReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainRenewReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainRenewReq.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_Command` | `m_cmd`
  `String` | `m_current_expiration_date`
  `String` | `m_name`
  `epp_DomainPeriod` | `m_period`

  ## Constructor Summary
  `epp_DomainRenewReq()`
  `epp_DomainRenewReq(epp_Command _m_cmd, String _m_name, String _m_current_expiration_date, epp_DomainPeriod _m_period)`

  ## Method Summary
  `epp_Command` | `getCmd()`
  `String` | `getCurrentExpirationDate()`
  `String` | `getName()`
  `epp_DomainPeriod` | `getPeriod()`
  `void` | `setCmd(epp_Command value)`
  `void` | `setCurrentExpirationDate(String value)`
  `void` | `setName(String value)`
  `void` | `setPeriod(epp_DomainPeriod value)`
  `String` | `toString()`

## Field Details

### m_cmd

    public epp_Command m_cmd

### m_current_expiration_date

    public String m_current_expiration_date

### m_name

    public String m_name

### m_period

    public epp_DomainPeriod m_period

## Constructor Details

### epp_DomainRenewReq

    public epp_DomainRenewReq()

### epp_DomainRenewReq

    public epp_DomainRenewReq(epp_Command _m_cmd,
                              String _m_name,
                              String _m_current_expiration_date,
                              epp_DomainPeriod _m_period)

## Method Details

### getCmd

    public epp_Command getCmd()

### getCurrentExpirationDate

    public String getCurrentExpirationDate()

### getName

    public String getName()

### getPeriod

    public epp_DomainPeriod getPeriod()

### setCmd

    public void setCmd(epp_Command value)

### setCurrentExpirationDate

    public void setCurrentExpirationDate(String value)

### setName

    public void setName(String value)

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS